import { Profile2User } from "iconsax-react";
import { FC } from "react";
import { useTranslation } from "react-i18next";
import { useLocation } from "react-router-dom";
import { Pages } from "../../config/Pages";
import SubMenuItem from "./SubMenuItem";

const CustomersSubMenu: FC = () => {
  const location = useLocation();
  const { t } = useTranslation("global");

  const isActive = (name: string) => location.pathname.includes(name);

  return (
    <div className="py-12">
      <div className="flex gap-3 items-center border-b pb-10 px-6">
        <Profile2User
          size={24}
          color="#000"
          variant="Bold"
        />
        <div className="text-xs">{t("sidebar.customers")}</div>
      </div>

      <div className="flex flex-col mt-10 gap-4">
        <SubMenuItem
          title={t("submenu.customer_list")}
          isActive={isActive("/customers/list")}
          link={Pages.customer.list}
          activeName="customers"
        />
        <SubMenuItem
          title={t("sidebar.subscriptions")}
          isActive={isActive("subscriptions")}
          link={Pages.subscriptions.list}
          activeName="customers"
        />
      </div>
    </div>
  );
};

export default CustomersSubMenu;
